Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl.parser
Class ASTSubtractNode

    java.lang.Object
      |
      +--org.apache.commons.jexl.parser.SimpleNode
            |
            +--org.apache.commons.jexl.parser.ASTSubtractNode

All Implemented Interfaces:
  Node

public class ASTSubtractNode
extends SimpleNode

Subtraction

Version:
  $Id: ASTSubtractNode.java,v 1.5 2004/02/28 13:45:20 yoavs Exp $

Fields inherited from class org.apache.commons.jexl.parser.SimpleNode
`children, id, parent, parser`

Constructor Summary
`ASTSubtractNode(int id)`
`ASTSubtractNode(Parser p, int id)`

Method Summary
`Object` | `jjtAccept(ParserVisitor visitor, Object data)` Accept the visitor.
`Object` | `value(JexlContext context)` Returns the value of the node.

Methods inherited from class org.apache.commons.jexl.parser.SimpleNode
`childrenAccept, dump, execute, interpret, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setValue, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTSubtractNode

    public ASTSubtractNode(int id)

### ASTSubtractNode

    public ASTSubtractNode(Parser p,
                           int id)

Method Detail

### value

    public Object value(JexlContext context)
                 throws Exception

  Description copied from class: `SimpleNode`
  Returns the value of the node.
  Overrides:
    `value` in class `SimpleNode`

### jjtAccept

    public Object jjtAccept(ParserVisitor visitor,
                            Object data)

  Accept the visitor.
  Overrides:
    `jjtAccept` in class `SimpleNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004 The Apache Software Foundation. All Rights Reserved.